heat_template_version: 2013-05-23
description: Simple Template

parameters:

  Name:
    type: string
    discription: Virtual Machine Name

  ImageID:

    type: string
    description: Image ID

  NetID:

    type: string
    description: Network ID

resources:

  http_client:

    type: OS::Nova::Server
    properties:

      name: {get_param: Name}
      image: { get_param: ImageID }
      flavor: "m1.small"
      networks:
      - uuid: { get_param: NetID }

outputs:
  server0_ip:
    description: IP of the server
    value: { get_attr: [ server_0, first_address ] }
